GtkBlist Signals

Signals:

- gtkblist-hiding
- gtkblist-unhiding
- gtkblist-created
- drawing-tooltip
- drawing-buddy

See also
  gtkblist.h

# gtkblist-hiding

void (*gtkblist-hiding)(PurpleBuddyList *blist);

Description:
  Emitted when the buddy list is about to be hidden.

Parameters

  blist | The buddy list.

# gtkblist-unhiding

void (*gtkblist-unhiding)(PurpleBuddyList *blist);

Description:
  Emitted when the buddy list is about to be unhidden.

Parameters

  blist | The buddy list.

# gtkblist-created

void (*gtkblist-created)(PurpleBuddyList *blist);

Description:
  Emitted when the buddy list is created.

Parameters

  blist | The buddy list.

# drawing-tooltip

void (*drawing-tooltip)(PurpleBlistNode *node, GString *text, gboolean full);

Description:
  Emitted just before a tooltip is displayed. text is a standard GString, so the plugin can modify the text that will be displayed.

Note
  Make sure to free *text before you replace it!

Parameters

  node | The blist node for the tooltip.
  text | A pointer to the text that will be displayed.
  full | Whether we're doing a full tooltip for the priority buddy or a compact tooltip for a non-priority buddy.

# drawing-buddy

char *(*drawing-buddy)(PurpleBuddy *buddy);

Description:
  Emitted to allow plugins to handle markup within a buddy's name or to override the default of no formatting for names shown in the buddy list.

Parameters

  buddy | A pointer to the PurpleBuddy that will be displayed.

Returns
  The text to display (must be allocated), or `NULL` if no changes to the default behavior are desired.